{----------------------------------------------------------------------------
|
| Module: AddMemFm.Pas
|
| Description: Form to add a data member for the ClassGen wizard.
|
| History:       , 1998. MB first version.
|
|---------------------------------------------------------------------------}
unit AddMemFm;

interface

uses
  WinTypes, WinProcs, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons;

type
  TAddDataMemberForm = class(TForm)
    OkBtn: TBitBtn;
    CancelBtn: TBitBtn;
    MemberNameEdit: TEdit;
    MemberNameLbl: TLabel;
    MemberTypeLbl: TLabel;
    MemberTypeCB: TComboBox;
    MemberClassNameEdit: TEdit;
    MemberClassNameLbl: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure FormCloseQuery(Sender: TObject; var CanClose: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AddDataMemberForm: TAddDataMemberForm;

implementation

{$R *.DFM}

uses
    WizForm;  { for dmtMin, dmtMax }

procedure TAddDataMemberForm.FormCreate(Sender: TObject);
var
    Index : Integer;
begin
    for Index := dmtMin to dmtMax do
        MemberTypeCB.Items.Add(DataMemberFieldTypeStr(Index));

    MemberTypeCB.ItemIndex := dmtString;
end;

procedure TAddDataMemberForm.FormCloseQuery(Sender: TObject;
  var CanClose: Boolean);
begin
    if (ModalResult = mrOk) then
    begin
       if (MemberNameEdit.Text = '') then
       begin
            CanClose := False;
            MessageDlg( 'Value is required.', mtError, [mbOk], 0);
            Exit;
       end;

       if (MemberTypeCB.ItemIndex = dmtObject) and
          (MemberClassNameEdit.Text = '') then
       begin
            CanClose := False;
            MessageDlg( 'A class name must be specified for an'#13 +
                        'object data member.', mtError, [mbOk], 0);
            Exit;
       end;
    end;
end;



end.
